#include "course.hpp"

Course::Course(const std::string& n, UniversityTeacher* t, int credits, unsigned int maxHeadCount)
   : _courseName(n), _teacher(t), _credits(credits), _maxHeadCount(maxHeadCount)
   // konstruktor alaprtelmezett paramterrel s rtk inicalizlssal
{
    _teacher->newCourse(this);
}

bool Course::newStudent(const UniversityStudent* s)
{
    if (_maxHeadCount == 0 || _students.size() < _maxHeadCount) // ha befr a kurzusba a hallgat
    {
        for (unsigned int i = 0; i < _students.size(); i++)
            if (_students[i] == s) // s mg nem vette fel
                return false;

        _students.push_back(s); // akkor veheti fel
        return true;
    }
    else
        return false;
}
